net.sourceforge.pmd

## Interface ReportListener

- All Known Implementing Classes:
    SynchronizedReportListener

      public interface ReportListener

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `metricAdded(Metric metric)`
    `void` | `ruleViolationAdded(RuleViolation ruleViolation)`

- - ### Method Detail

    - #### ruleViolationAdded

          void ruleViolationAdded(RuleViolation ruleViolation)

    - #### metricAdded

          void metricAdded(Metric metric)

Copyright © 2002-2013 InfoEther. All Rights Reserved.